Skip to content

Delete Snapshot Endpoint

DELETE
/api/v1/snapshots/{snapshot_id}
curl --request DELETE \
--url https://example.com/api/v1/snapshots/1

Soft-delete a snapshot by setting deleted_at.

snapshot_id
required
Snapshot Id
integer

Successful Response

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}